 
  <?php 
  session_start();
    
  include_once("validategm.php");
  include_once("dbconnect.php");
  include_once("drawmap.php");  
  include_once("drawleaderboard.php");
  include_once("drawbidresults.php");
  include_once("drawcurrentbids.php");
  include_once("drawpowerdemand.php");
  
  // read key game information in order to display results
  
  if (isset($_SESSION['gmid']))
  {
    $GMID = $_SESSION['gmid'];
                     
  }
  else
  {
    echo "Error 16: Missing GMID";
    die;
  }
  
  if (isset($_SESSION['gmname']))
  {
    $GMName = $_SESSION['gmname'];
                     
  }
  else
  {
    $GMName = "Game Manager";
  }
  
  if (isset($_GET['GameID']))
  {
    $GameID = $_GET['GameID'];
    // Very dangerous!  Need to santize this.
    //$gamedata = mysqli_query($con, "SELECT Games.Date, Games.Time, Games.Turn, Games.Status, Games.GameTitle, Games.MaxTurns, Maps.MapName, Maps.MapID, Maps.ImgURL, Maps.NumRows, Maps.NumCols FROM Games INNER JOIN Maps on Games.MapID=Maps.MapID WHERE Games.GameID=$GameID LIMIT 1;");
    $gamedata = $con->query("SELECT Games.Date, Games.Time, Games.Turn, Games.Status, Games.GameTitle, Games.MaxTurns, Maps.MapName, Maps.MapID, Maps.ImgURL, Maps.NumRows, Maps.NumCols, Games.GameDataID, Games.Message FROM Games INNER JOIN Maps on Games.MapID=Maps.MapID WHERE Games.GameID=$GameID AND GMID=$GMID LIMIT 1;");
    if (!$gamedata)
    {
      echo "Error 1: Could not find GameID $GameID or matching Map";
      die;
    }
    else
    {
      $gamerow=mysqli_fetch_row($gamedata);      
      if (!$gamerow)
      {
        echo "Error 2: Could not find GameID or matching Map";
        die;
      }
      $GameDate = date("l, F j, Y", strtotime($gamerow[0]));      
      $GameTime = $gamerow[1];
      $GameTurn = $gamerow[2];
      $GameStatus = $gamerow[3];
      $GameTitle = $gamerow[4];
      $MaxTurns = $gamerow[5];
      $MapName = $gamerow[6];
      $MapID = $gamerow[7];
      $MapURL = $gamerow[8];
      $MapNumRows = $gamerow[9];
      $MapNumCols = $gamerow[10];
      $GameDataID = $gamerow[11];
      $GameMessage = $gamerow[12];
    }
  }
  else
  {
    echo "Error 3: Missing GameID";
    die;
  }
  
  if (isset($_GET['View']))
  {
    $View = round($_GET['View']);
    if ($View < 0 or $View > 4) 
    {
      $View = 0;
    }    
  }
  else
  {
    $View = 0; 
    // 0 = Main
    // 1 = Weather
    // 2 = Annual Avg. Sunshine
    // 3 = Annual Avg. Wind
    // 4 = Land Index
  }
  
  
  
  
  ?>
  
  <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN">
<HTML>
	<HEAD>
		<TITLE>
    <?php echo "Blackout: Managing $GameTitle"; ?>    
    </TITLE>
		<META NAME="keywords" CONTENT="Blackout Eduational Video Game Sustainability Energy Power Systems">
		<META NAME="description" CONTENT="Blackout: Classroom Edition">
		<META NAME="rating" CONTENT="general">
		<META NAME="Copyright" CONTENT="(C) 2014 McMaster University">
		<META NAME="Robots" CONTENT="all">
		<META NAME="Authors" CONTENT="Thomas A. Adams II">
    <meta http-equiv="refresh" content="30">
		<LINK REL="stylesheet" HREF="css/game.css" TYPE="text/css">		
	</HEAD>
  <BODY>

  <?php include("gmmessagewindow.php"); ?>
  
  <!-- Left Column -->
  <DIV ID='col1'>
    
    <!-- Game Date and Time -->
    <DIV CLASS='headerleft'><DIV CLASS='Time'>   
    <?php 
      
      
      if ($GameTime == 0)
      {
        echo "Midnight ";
      } 
      elseif ($GameTime == 12)
      {
        echo "Noon ";
      }
      elseif ($GameTime < 12)
      {
        echo "$GameTime am ";
      }
      else
      {
        $GT2 = $GameTime - 12;
        echo "$GT2 pm  ";
      }
      
      echo "</DIV><DIV CLASS='Date'>$GameDate</DIV>";
    
    ?> 
    </DIV>
    
    <!-- Map Buttons -->
    <DIV CLASS='headerright'>
       
       <?php
       
         for ($i=0; $i<=4; $i++)
         {
           
           if ($View==$i)
           {
             // classtype defined in game.css
             $ClassType = "MenuButtonSelected";             
           }
           else
           {
             $ClassType = "MenuButtonOther";
           }
           
           echo "<DIV CLASS='$ClassType' onclick='location.href=\"manage.php?GameID=$GameID&View=$i\";'>";
           
           switch ($i)
           {
             case 0:
               echo "Buildings";
               break;
             case 1: 
               echo "Weather";
               break;
             case 2:
               echo "Avg. Sun";
               break;
             case 3: 
               echo "Avg. Wind";
               break;
             case 4:
               echo" Land Costs";
               break;  
           }
           
           echo "</DIV>";
                      
         }
                        
       
       ?>
       <DIV CLASS='MenuButtonQuit' onclick='location.href="gmlobby.php";'>Quit</DIV>
       
    </DIV>
    
    <!-- Map Area -->
    <DIV CLASS='full'>
       <?php        
       DrawMap($MapID, $MapURL, $MapNumRows, $MapNumCols, $GameID, $View, $con, $GameTime); ?>
    </DIV>
    
    
    <!-- Game Message -->
    <?php
      if (!is_null($GameMessage))
      {
        echo "<DIV CLASS='rowspacer'> </DIV><div class='messagewindow'><div class='messagewindowheader'>Game Message</div><div class='smessagewindowcontent'>$GameMessage</div></div></div>";
      }
    ?>
  
  </DIV>
  
  <!-- Right Column -->
  <DIV ID='col2'>
    <!-- Turn/Status -->
    <DIV CLASS='headerleft'>
      <DIV CLASS='Date'>
      <?php echo $GMName . ",&nbsp;&nbsp;"; ?>
      </DIV>    
      <DIV CLASS='Time'>
      <?php 
        if ($GameStatus==0)
        {
          echo "Waiting to Start";
        }
        elseif ($GameStatus==2)
        {
          echo "Game Finished after $GameTurn Turns";
        }
        else
        {
          echo "Turn $GameTurn of $MaxTurns";
        }
      ?>
      </DIV>
    </DIV>
    
    <!-- Game Title -->
    <DIV CLASS='headerright'>
      <?php echo($GameTitle); ?>
    </DIV>
    
    <!-- Score Table -->
    <DIV CLASS='full'>
    <?php DrawLeaderboard($GameID, $con); ?>
    </DIV>
    
    
    
  
    
    <!-- Bid Header -->
    <DIV CLASS='rowspacer'> </DIV>
           
    <?php 
      if ($GameTurn<2 or $GameStatus==0)
      {
        // show nothing...
      }
      else  
      {
      
        echo "<DIV CLASS='headerleft'>";    
        echo "<DIV CLASS='Time'>Last Bid Round</DIV></DIV>";

           
        $t = $GameTurn-1;
                    
        $turndata = $con->query("SELECT TotalProduced, TotalPurchased, TurnHistoryID FROM TurnHistory WHERE GameID=$GameID AND Turn=" . $t . ";");
        if (!$turndata)
        {
          echo "<DIV CLASS='headerright'>(Bids Not Yet Received)</DIV>";
        }
        else
        {
          $turnrow = mysqli_fetch_row($turndata);        
          //echo "<DIV CLASS='headerright'>Total Produced: ". $turnrow[0] . " Total Delivered to Grid: " . $turnrow[1] . "</DIV>";
          echo "<DIV CLASS='headerright'>&nbsp;</DIV>";
          //<!-- Bid Results -->
          echo "<DIV CLASS='full'>";
          DrawBidResults($turnrow[2], $con);
          echo "</DIV>";        
        }
      }  
    ?>  
      
    <!-- Current Bids -->
    <?php
    if ($GameStatus==1)
    {
      $turndata = $con->query("SELECT TurnHistoryID FROM TurnHistory WHERE GameID=$GameID AND Turn=$GameTurn;");
      if ($turndata)      
      {          
        $turnrow = mysqli_fetch_row($turndata);
        if ($turnrow)
        {
          echo "<DIV CLASS='headerleft'>";    
          echo "<DIV CLASS='Time'>Current Bids for This Turn</DIV></DIV>";
          echo "<DIV CLASS='headerright'>&nbsp;</DIV>";
          echo "<DIV CLASS='full'>";
          DrawCurrentBids($turnrow[0], $con);
          echo "</DIV>";
        }
      } 
    }
    ?>
    
      <DIV CLASS='rowspacer'> </DIV>
    
      <!-- Power Demand -->
    <DIV CLASS='full'>
    <DIV CLASS='headerleft'><DIV CLASS='Time'>Projected Power Demand (MW)</DIV></DIV>
    <DIV CLASS='headerright'>&nbsp;</DIV>    
    </DIV>    
    <?php DrawPowerDemand($GameTime, $GameID, $con);    ?>

    <DIV CLASS='rowspacer'> </DIV>
    
  
            
    <!-- Manager Commands -->
    <DIV CLASS='headerleft'><DIV CLASS='Time'>Manager Commands</DIV></DIV>
    <DIV CLASS='headerright'><DIV CLASS='Date'>&nbsp;</DIV></DIV>
    <DIV CLASS='full'>
    <?php  
      if ($GameStatus==0)
      {
        echo "<FORM action='startgame.php' method='post' enctype='multipart/form-data'><INPUT TYPE='hidden' name='GameID' value='$GameID'>";
        echo "<P>Starting Cash for Each Player (\$M)... suggest about \$M8000 total for all players combined: <input type='text' size='8' name='cash' value='1000'>";
        echo "<INPUT TYPE='submit' NAME='submit' Value='Start The Game!'></FORM>";                
      }
      elseif ($GameStatus==1)
      {
        echo "<FORM action='nextturn.php' method='post' enctype='multipart/form-data'><INPUT TYPE='hidden' name='GameID' value='$GameID'>";
        echo "<P>Have all of your players had the chance to submit bids or construct new plants? Are you ready to end the turn?<INPUT TYPE='submit' NAME='submit' Value='End Turn'></FORM>";
      }
      else
      {
        echo "Game Over!";
        echo "<DIV CLASS='MenuButtonQuit' onclick='location.href=\"gmlobby.php\";'>Quit</DIV>";
      }
      
    ?> 
    
     <DIV CLASS='rowspacer'> </DIV>
                        <?php      
      include("gmmessagewindow.php"); 
      ?>
    
    
    </DIV>
    
  
  </DIV>
  
  
  
  </BODY>
  
  
</HTML>
<?php $con->close(); ?>